<template>
  <el-button
    ref="backToBall"
    type="primary"
    icon="el-icon-back"
    class="back-to-ball"
    circle
    plain
    :title="title"
    @click="goToUrl"
  />
</template>

<script>
import { getAction } from '@/utils/common'

export default {
  props: {
    url: {
      type: String,
      default: null
    },
    title: {
      type: String,
      default: '上一頁'
    }
  },
  data() {
    return {
      action: getAction()
    }
  },
  beforeDestroy() {
    this.$refs['backToBall'].$el.remove()
  },
  methods: {
    goToUrl(event) {
      if (this.url == null) {
        this.$router.go(-1) // 預設回上一頁
      } else {
        this.$router.push({ path: this.url })
      }
    }
  }
}
</script>

<style lang="scss" scoped>
button.back-to-ball {
  position: fixed;
  bottom: 10px;
  right: 40px;
  z-index: 5;
}
</style>
